Bug 59765

Summary: [GTK] Share the GTK+ key binding code between WebKit1 and WebKit2
Product: WebKit Reporter: Martin Robinson <mrobinson>
Component: WebKitGTKAssignee: Martin Robinson <mrobinson>
Status: RESOLVED FIXED    
Severity: Normal CC: alex, cgarcia, xan.lopez
Priority: P3 Keywords: Gtk
Version: 528+ (Nightly build)   
Hardware: PC   
OS: Linux   
Attachments:
Description Flags
Patch none

Description Martin Robinson 2011-04-28 17:44:32 PDT
Currently the GTK+ keybinding code is duplicated in both WebKit1 and WebKit2. By pushing it into a WebCore utility class we may share the code and also make the EditorClientGtk class smaller.
Comment 1 Martin Robinson 2011-04-28 17:48:56 PDT
Created attachment 91609 [details]
Patch
Comment 2 Carlos Garcia Campos 2011-04-29 00:11:54 PDT
(In reply to comment #1)
> Created an attachment (id=91609) [details]
> Patch

Looks good to me.
Comment 3 Eric Seidel (no email) 2011-05-11 20:37:45 PDT
Comment on attachment 91609 [details]
Patch

OK.  rs=me.
Comment 4 Martin Robinson 2011-05-13 09:00:40 PDT
Comment on attachment 91609 [details]
Patch

Clearing flags on attachment: 91609

Committed r86436: <http://trac.webkit.org/changeset/86436>
Comment 5 Martin Robinson 2011-05-13 09:00:44 PDT
All reviewed patches have been landed.  Closing bug.